LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-14-2012, 11:59 AM   #1
aafc
LQ Newbie
 
Registered: Sep 2012
Posts: 5

Rep: Reputation: Disabled
"configure: error: Could not link against boost_thread! " when trying to ./configure


I am trying to install a program called cufflinks. For that I needed to install the c++ Boost library, which I did by making an rpm. I gave cufflinks' configure script the location of the boost install, but I am getting the following error and I am not sure how to proceed:

checking whether the Boost::Thread library is available... yes
checking for exit in -lboost_thread... no
checking for exit in -lboost_thread... (cached) no
checking for exit in -lboost_thread... (cached) no
error: Could not link against boost_thread !
 
Old 09-15-2012, 05:04 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,393

Rep: Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607
Welcome to LQ.

Which Linux OS are you using ? Name and version, please.

And which architecture ?
The 'uname -m' command will tell if it's i686 or x86_64.
http://www.linuxquestions.org/linux/...Ask_a_Question
http://linuxsilo.net/docs/smart-questions_en.html

.
 
Old 09-17-2012, 06:51 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,393

Rep: Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607Reputation: 3607
I made a couple of tests with "cufflinks $ ./configure".

PCLinuxOS 2011 32bits already has a "system boost-1.50" :
Accepted by ./configure.

CentOS 6 / Scientific SL6 64bits : $ rpmbuild boost150-el6.spec ,
from http://dl.fedoraproject.org/pub/fedo...2.fc18.src.rpm
> boost-1.50.0-2.fc18.src.rpm ; $ rpmbiild -bb boost150-el6.spec ;
rpm -Uvh <all-created-packages>
( except boost-static-1.50.0-2.el6.x86_64.rpm ).
Boost 1.50 was OK with $ ./configure
.
Attached Files
File Type: txt boost150-el6.spec.txt (27.0 KB, 54 views)
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] "Access denied" error when "./configure" Cassanova Linux - Software 6 09-21-2010 01:18 AM
"dpkg error in --configure" in most all (508) programs after "apt-get dist-upgrade" fluffymuffins Debian 3 08-09-2010 04:47 AM
./Configure "Permision Denied" error when atempting to use ./configure command in RH8 canegames Linux - Software 9 06-29-2006 02:20 AM
ardour wont configure: configure: error: C preprocessor "/lib/cpp" fails sanity check disciple061 Linux - Software 4 01-22-2005 01:35 PM
Can't find "Configure my computer" link mmorales Mandriva 4 03-01-2004 01:56 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 09:13 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration